Gems_big

rubyzip

1.2.1

rubyzip is a ruby module for reading and writing zip files

Critical or Security advisories for 1.2.1

This version doesn't have any advisory. Want to report one?

Critical or Security fixes for 1.2.1

You need to be logged in to view advisory details.

Login or Signup

Changelog for 1.2.1

  • Add accessor to @internalfileattributes #304
  • Extended globbing #303
  • README updates #283, #289
  • Cleanup after tests #298, #306
  • Fix permissions on new zip files #294, #300
  • Fix examples #297
  • Support cp932 encoding #308
  • Fix Directory traversal vulnerability #315
  • Allow open_buffer to work without a given block #314

Dependencies for 1.2.1

Name Requirement Status
This version doesn't have runtime dependencies.

My projects using rubyzip

Name Locked version Requirement
You should be logged in to see which of your projects use rubyzip.